Name:		rh-dupsign-macros
Version:	1.7
Release:	1%{?dist}
Summary:	build time signing of DUP modules

Group:		Development/System
License:	internal-only
Source0:	%{name}-%{version}.tar.bz2

BuildArch:      noarch

%description
Internal infrastructure for build time signing of DUP modules

%prep
%setup -q


%build


%install
make install DESTDIR=%{buildroot}


%files
/usr/lib/rpm/redhat/brp-dup-sign-modules
/etc/rpm/macros.zzz_dupsign
/etc/pki/rpm-sign


%changelog
* Mon Jul 19 2021 Johnny Hughes <johnny@centos.org> - 1.7.1
- update to use on CentOS Kernel Builders

* Thu Nov 29 2018 Brendan Reilly <breilly@redhat.com> - 1.6.1
- update signing for RHEL 8

* Fri Oct 12 2018 Dennis Gregorovic <dgregor at redhat.com> - 1.5.1
- Drop rpm-python dependency

* Fri May  1 2015 Mike McLean <mikem at redhat.com> - 1.4.1
- default to rheldup3

* Tue Aug 26 2014 Mike McLean <mikem at redhat.com> - 1.3-5
- work around rpm-sign deps issue

* Tue Aug 26 2014 Mike McLean <mikem at redhat.com> - 1.3-4
- add rheldup3 public key

* Thu Jul 10 2014 Mike Bonnet <mikeb@redhat.com> - 1.3-3
- remove .sig after signing

* Wed Jul  9 2014 Mike Bonnet <mikeb@redhat.com> - 1.3-2
- remove unnecessary Requires:

* Wed Jul  9 2014 Mike Bonnet <mikeb@redhat.com> - 1.3-1
- update signing script to be compatible with RHEL-7

* Thu Jun 19 2014 Mike McLean <mikem at redhat.com> - 1.2-1
- add debug option

* Thu May 29 2014 Mike McLean <mikem at redhat.com> - 1.1-1
- default to rheldup2 key

* Fri Aug 16 2013 Mike McLean <mikem at redhat.com> - 1.0-1
- initial build
